<?php

/****************************************************************************************\
 **   @name		EXP Autos  Pro                                                  **
 **   @package          Joomla 1.6                                                      **
 **   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 **   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 **   @link             http://www.feellove.eu                                          **
 **   @license		Commercial License                                              **
 \****************************************************************************************/


defined('JPATH_BASE') or die;

jimport('joomla.html.html');
jimport('joomla.form.formfield');
jimport('joomla.form.helper');
require_once JPATH_COMPONENT.'/helpers/expimages.php';

class JFormFieldExpphoto extends JFormField {

    /**
     * The form field type.
     *
     * @var		string
     * @since	1.6
     */
    protected $type = 'Expphoto';

    /**
     * Method to get the field options.
     *
     * @return	array	The field option objects.
     * @since	1.6
     */
    public function getInput() {
        
        $table_id = (int)$this->form->getValue('id');
        $result = ExpAutosProImages::getExpParams('expuser', $table_id);
        $result = $result->get('expphoto');
        if ($result) {
            $logoimg = '<img src="' . ExpAutosProImages::ImgUrlPatchLogo() . $result . '" />';
            $logoimg .= '';
            $logoimg .='<label id="jform_delete_photo-lbl" for="jform_delete_photo" title="">';
            $logoimg .= JText::_('COM_EXPAUTOSPRO_USER_DELETEPHOTO_TEXT') ;
            $logoimg .='</label>';
            $logoimg .='<input type="checkbox" name="delete_userphoto"/>';
            $logoimg .= "";
            $logoimg .= "<input type='hidden' name='userphoto_name' value='".$result."' />";
        } else {
            $logoimg = '<input type="file" name="userphoto" id="userphoto" value="" style="display:none" />';
            $logoimg .= '<div class="input-append">
                    <input id="expphotoCoverphoto" class="input-large" type="text">
                    <a class="btn" onclick="jQuery(\'input[id=userphoto]\').click();">'.JText::_('COM_EXPAUTOSPRO_ADM_BROWSE_TEXT').'</a>
                </div>';
            $logoimg .= '<script type="text/javascript">
                    jQuery(\'input[id=userphoto]\').change(function() {
                        jQuery(\'#expphotoCoverphoto\').val(jQuery(this).val());
                    }); 
                </script>';
        }
        return $logoimg;
    }

}