<?php
/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
JHTML::_('script', 'system/multiselect.js', false, true);
JToolBarHelper::title(JText::_('COM_EXPAUTOSPRO_TEXT'), 'expautospro.png');
?>
<div id="expautos_fp">
    <div class="row-fluid">
        <div class="span8">
            <div id="cpanel" class="well">
                <ul class="thumbnails">
                    <?php
                    echo $this->iconimg('expcats', 'categories.png', JText::_('COM_EXPAUTOSPRO_CATEGORIES_TEXT'), 1);
                    echo $this->iconimg('expmakes', 'make.png', JText::_('COM_EXPAUTOSPRO_MAKES_TEXT'));
                    echo $this->iconimg('expmods', 'model.png', JText::_('COM_EXPAUTOSPRO_MODELS_TEXT'));
                    echo $this->iconimg('expbodytypes', 'bodytype.png', JText::_('COM_EXPAUTOSPRO_BODYTYPES_TEXT'));
                    echo $this->iconimg('expdrives', 'drive.png', JText::_('COM_EXPAUTOSPRO_DRIVES_TEXT'));
                    echo $this->iconimg('expfuels', 'fuel.png', JText::_('COM_EXPAUTOSPRO_FUELS_TEXT'));
                    echo $this->iconimg('exptrans', 'tran.png', JText::_('COM_EXPAUTOSPRO_TRANSMISSIONS_TEXT'));
                    echo $this->iconimg('expcondits', 'condition.png', JText::_('COM_EXPAUTOSPRO_CONDITIONS_TEXT'));
                    echo $this->iconimg('expcolors', 'color.png', JText::_('COM_EXPAUTOSPRO_COLORS_TEXT'));
                    echo $this->iconimg('expcountrs', 'country.png', JText::_('COM_EXPAUTOSPRO_COUNTRS_TEXT'));
                    echo $this->iconimg('expstates', 'state.png', JText::_('COM_EXPAUTOSPRO_STATE_TEXT'));
                    echo $this->iconimg('expcits', 'cities.png', JText::_('COM_EXPAUTOSPRO_CITS_TEXT'));
                    echo $this->iconimg('expeqcats', 'catequipment.png', JText::_('COM_EXPAUTOSPRO_EQCATS_TEXT'));
                    echo $this->iconimg('expeqs', 'equipment.png', JText::_('COM_EXPAUTOSPRO_EQS_TEXT'));
                    echo $this->iconimg('expuserlevels', 'userlevel.png', JText::_('COM_EXPAUTOSPRO_USERLEVELS_TEXT'));
                    echo $this->iconimg('expusers', 'user.png', JText::_('COM_EXPAUTOSPRO_USERS_TEXT'));
                    echo $this->iconimg('expcurrs', 'currency.png', JText::_('COM_EXPAUTOSPRO_CURRENCIES_TEXT'));
                    echo $this->iconimg('expextrafield1s', 'extrafield1.png', JText::_('COM_EXPAUTOSPRO_EXTRAFIELD1S_TEXT'));
                    echo $this->iconimg('expextrafield2s', 'extrafield2.png', JText::_('COM_EXPAUTOSPRO_EXTRAFIELD2S_TEXT'));
                    echo $this->iconimg('expextrafield3s', 'extrafield3.png', JText::_('COM_EXPAUTOSPRO_EXTRAFIELD3S_TEXT'));
                    echo $this->iconimg('exppayments', 'payment.png', JText::_('COM_EXPAUTOSPRO_PAYMENTS_TEXT'));
                    echo $this->iconimg('export', 'export.png', JText::_('COM_EXPAUTOSPRO_EXPORT_TEXT'));
                    echo $this->iconimg('import', 'import.png', JText::_('COM_EXPAUTOSPRO_IMPORT_TEXT'));
                    echo $this->iconimg('expconfig&layout=edit&id=1', 'config.png', JText::_('COM_EXPAUTOSPRO_CONFIG_TEXT'));
                    echo $this->iconimg('expadmanagers', 'admanager.png', JText::_('COM_EXPAUTOSPRO_ADMANAGERS_TEXT'));
                    ?>
                </ul>
            </div>
        </div>
        <div class="span4">

            <ul class="nav nav-tabs exptabfont11">
                <li class="active"><a href="#expgeneral" data-toggle="tab"><?php echo JText::_('COM_EXPAUTOSPRO_FP_EXPABOUT_TEXT'); ?></a></li>
                <li class=""><a href="#expstats" data-toggle="tab"><?php echo JText::_('COM_EXPAUTOSPRO_FP_EXPSTATSADS_TEXT'); ?></a></li>
                <li class=""><a href="#expuserstats" data-toggle="tab"><?php echo JText::_('COM_EXPAUTOSPRO_FP_EXPSTATSUSER_TEXT'); ?></a></li>
            </ul>
            <div class="tab-content">
                <div class="tab-pane fade in active" id="expgeneral"> <img src="<?php echo JURI::root(); ?>administrator/components/com_expautospro/img/expautos_logo.png"/>

                    <h3><?php echo JText::_('COM_EXPAUTOSPRO_FP_EXPHEADER_TEXT'); ?></h3>
                    <div class="expfp_div">
                        <?php echo JText::_('COM_EXPAUTOSPRO_FP_EXPMORE_TEXT'); ?>
                    </div>
                    <div class="expfp_div">
                        <span class="label label-info expversion_text">
                            <?php
                            echo JText::_('COM_EXPAUTOSPRO_FP_EXPVERSION_TEXT');
                            echo " " . $this->version_num;
                            ?>
                        </span>
                    </div>

                    <?php
                    if ($this->license_num) {
                        $label_class = 'success';
                        $license_text = "<br /><span  rel='tooltip' data-original-title='" . JText::_('COM_EXPAUTOSPRO_FP_INSERT_LICENSEAUTHOR_TEXT') . "'><a class='btn btn-small btn-primary' href='" . JRoute::_("index.php?option=com_expautospro&view=expautospro&task=expautospro.sendlicense&number=" . $this->license_num, false) . "'>" . JText::_('COM_EXPAUTOSPRO_FP_LICENSENUMBER_SEND_TEXT') . "</a></span>";
                    } else {
                        $label_class = 'important';
                        $license_text = '<span  rel="tooltip" data-original-title="' . JText::_('COM_EXPAUTOSPRO_FP_INSERT_LICENSENUMBER_DESC') . '"><a class="btn btn-info" href="' . JRoute::_("index.php?option=com_expautospro&view=expconfig&layout=edit&id=1", false) . '"><i class="icon-checkin"></i> ' . JText::_('COM_EXPAUTOSPRO_FP_INSERT_LICENSENUMBER_TEXT') . '</a></span>';
                    }
                    ?>
                    <div class="expfp_div">
                        <span class="label label-<?php echo $label_class; ?> expversion_text">
                            <?php echo JText::_('COM_EXPAUTOSPRO_FP_LICENSENUMBER_TEXT'); ?>
                        </span>
                        <?php if ($this->license_num): ?>
                            <span>&nbsp;</span>
                            <span class="label label-info expversion_text"><?php echo $this->license_num; ?></span>
                        <?php endif; ?>
                    </div>
                    <div class="expfp_div">
                        <?php echo $license_text; ?>
                    </div>
                </div>
                <div class="tab-pane fade" id="expstats">
                        <p><strong><?php echo JText::_('COM_EXPAUTOSPRO_FP_EXPTOTALADS_TEXT'); ?></strong> : <?php echo $this->total_ad; ?></p>
                        <p><strong><?php echo JText::_('COM_EXPAUTOSPRO_FP_EXPTOTALPUBLADS_TEXT'); ?></strong>  : <?php echo $this->total_publ; ?></p>
                        <p><strong><?php echo JText::_('COM_EXPAUTOSPRO_FP_EXPTOTALUNPUBLADS_TEXT'); ?></strong>  : <?php echo $this->total_unpubl; ?></p>
                </div>
                <div class="tab-pane fade" id="expuserstats">
                        <p><strong><?php echo JText::_('COM_EXPAUTOSPRO_FP_EXPTOTALUSERS_TEXT'); ?></strong> : <?php echo $this->total_user; ?></p>
                </div>
            </div>


        </div>
    </div>
</div>