<?php
/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

// No direct access.
defined('_JEXEC') or die;

$params_file = JPATH_COMPONENT . '/skins/expadd/default_mobile_jquery/parameters/params.php';
if (file_exists($params_file))
    require_once $params_file;
ExpAutosProHelper::expskin_lang('expadd', 'default_mobile_jquery');

$expcat = JRequest::getInt('expcat', 0);
if ($this->expcategoryfields->get('usegooglemaps') && ((int) $this->form->getValue('catid') || (int) $expcat)) {
    if ($this->form->getValue('latitude') && $this->form->getValue('longitude')) {
        $lat = $this->form->getValue('latitude');
        $long = $this->form->getValue('longitude');
        $zoom = $this->expparams->get('c_admanager_add_googlemaps_zoomstreet');
    } else {
        $lat = $this->expparams->get('c_admanager_add_googlemaps_latdef');
        $long = $this->expparams->get('c_admanager_add_googlemaps_longdef');
        $zoom = $this->expparams->get('c_admanager_add_googlemaps_zoomdef');
    }
    $expzoombycst = $this->expparams->get('c_admanager_add_googlemaps_zoomcst');
    $expzoombystreet = $this->expparams->get('c_admanager_add_googlemaps_zoomstreet');
    $expgooglewidth = $this->expparams->get('c_admanager_add_googlemaps_width');
    $expgoogleheight = $this->expparams->get('c_admanager_add_googlemaps_height');
}

$expitem = $this->expitemid;
$cache = JFactory::getCache('com_expautospro', '');
$cache->clean('com_expautospro');
$user = JFactory::getUser();
$document = JFactory::getDocument();
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/assets/css/jquery.mobile-1.2.0.min.css');
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/assets/css/expautospro_icons.css');
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/skins/expadd/default_mobile_jquery/css/default_mobile_jquery.css');
//$document->addStyleSheet(JURI::root() . 'components/com_expautospro/skins/expadd/default_mobile_jquery/css/validationEngine.jquery.css');
$document->addScript(JURI::root() . 'components/com_expautospro/assets/js/ajaxrequest.js');
$document->addScript(JURI::root() . 'components/com_expautospro/assets/js/ajaxchained.js');
$document->addScript(JURI::root() . 'components/com_expautospro/assets/js/expchecked.js');
if ($expuse_jquery == 1){
    JHtml::_('bootstrap.framework');
}elseif($expuse_jquery == 2){
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/jquery.min.js');
}
if ($expuse_mobmetatag) {
    $document->setMetaData('viewport', 'width=device-width, initial-scale=1');
}
$document->addScript(JURI::root() . 'components/com_expautospro/assets/js/jquery.mobile-1.2.0.min.js');
JRequest::setVar('expusebootstrap', 0);
//$document->addScript(JURI::root() . 'components/com_expautospro/skins/expadd/default_mobile_jquery/js/jquery.validationEngine.js');
$document->addScript(JURI::root() . 'components/com_expautospro/skins/expadd/default_mobile_jquery/js/jquery.validate.min.js');
$document->addScript(JURI::root() . 'components/com_expautospro/skins/expadd/default_mobile_jquery/js/jquery.metadata.js');
$document->addScript(JURI::root() . 'components/com_expautospro/skins/expadd/default_mobile_jquery/js/jquery.mobile.validate.js');

if ($this->expcategoryfields->get('usegooglemaps') && ((int) $this->form->getValue('catid') || (int) $expcat)) {
    $document->addScript('http://maps.google.com/maps/api/js?sensor=false');
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/expgooglemap.js');
    $script = '';
    $script .= "
        var explat=$lat;
        var explong =$long;
        var expzoom =$zoom;
        var expzoombycst =$expzoombycst;
        var expzoombystreet =$expzoombystreet;
        var expclick = 1;
        var expmapTypeId = google.maps.MapTypeId." . $this->expparams->get('c_general_gmapmaptypeid') . ";
        var latid = 'jform_latitude';
        var longid = 'jform_longitude';
        var expalert = '" . JText::_('COM_EXPAUTOSPRO_GOOGLEMAP_ALERT_TEXT') . "';
        var exp_map_canvas = 'exp_mapadd_canvas';
                ";

    $document->addScriptDeclaration($script);
}

$topmoduleposition = $this->expparams->get('c_admanager_add_tmpname');
$bmoduleposition = $this->expparams->get('c_admanager_add_bmpname');
$pricename = ExpAutosProExpparams::expgeneral_pricename();
$ads_count = ExpAutosProHelper::getExpcount('admanager', 'user', $user->id, 1);
$itemid = JRequest::getInt('Itemid', 0);
//print_r($this->form->getValue('catid'));
?>
<script type="text/javascript">
    function change_cat(val){
        document.location.href='index.php?option=com_expautospro&view=expadd&layout=edit&id=<?php echo $this->data->id; ?>&expcat='+val+'&Itemid=<?php echo $itemid; ?>';
    }
</script>
<?php
$linkhome = "index.php/motorcar-com-mm/list";
$linkdealerinfo = JRoute::_("index.php?option=com_expautospro&amp;view=expuser&amp;Itemid=" . (int) $expitem);
if (!$user->guest) {
    $login_text = JText::_('JLOGOUT');
    $logtheme = ' data-theme="e"';
    $logicon = 'delete';
} else {
    $login_text = JText::_('JLOGIN');
    $logtheme = null;
    $logicon = 'check';
}
$app = JFactory::getApplication();
$queue = $app->getMessageQueue();
?>
<script>
    //jQuery.mobile.page.prototype.options.keepNative = "select";
</script>
<div data-role="page" id="expadd">
    <div data-theme="a" data-role="header">
        <a href="<?php echo $linkhome; ?>" data-direction="reverse" data-iconpos="notext" data-icon="home" data-transition="slide" rel="external"></a>
        <h4>
            <?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPADD_TEXT'); ?>
        </h4>
    </div>
    <div data-role="content">
        <?php if ($document->countModules('expmobilemenu')): ?>
            <div id="expmobmenu">
                <div data-role="controlgroup" data-type="horizontal" data-mini="true" class="ui-btn-right">
                    <?php echo ExpAutosProHelper::load_module_position('expmobilemenu', 'mobilebootstrap'); ?>
                </div>
            </div>
            <div class="expmobclear"></div>
        <?php endif; ?>
        <?php if (count($queue)): ?>
            <div class="ui-body ui-body-b expmobmessage">
                <?php foreach ($queue as $item) : ?>
                    <p><?php echo $item['message']; ?></p>
                <?php endforeach; ?>
            </div>
        <?php endif; ?>
        <?php if ((int) $user->id && $this->expgroupid && ((int) $this->data->user == (int) $user->id || (int) $this->data->id == 0 || ($this->expedit && $this->form->getValue('catid'))) && ((int) $this->expgroupfields->get('g_adscount') == 0 || ($this->expgroupfields->get('g_adscount') > $ads_count || (int) $this->data->id != 0))): ?>
            <form id="expmember-profile" action="<?php echo JRoute::_('index.php?option=com_expautospro&view=expadd&task=expadd'); ?>" method="post" enctype="multipart/form-data" name="adminForm" id="expautosprocat-form" class="form-validate form-horizontal" target="_self" data-role="none">
                <ul data-role="listview" data-inset="true" class="expmob_detail">
                    <li data-role="list-divider"><?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPADD_CATEGORY_TEXT'); ?></li>
                    <li>
                        <?php
                        $this->form->setFieldAttribute('catid', 'class', "{validate:{required:true,selectone:true}} input-block-level");
                        ?>
                        <span class="expmob_li_text"><?php echo $this->form->getLabel('catid'); ?></span>
                        <?php echo $this->form->getInput('catid'); ?>
                    </li>
                </ul>
                <?php if ((int) $this->form->getValue('catid') || (int) $expcat): ?>

                    <?php echo $this->form->getLabel('id'); ?>
                    <?php echo $this->form->getInput('id'); ?>
                    <?php echo $this->form->getLabel('user'); ?>
                    <?php echo $this->form->getInput('user'); ?>
                    <?php echo $this->form->getLabel('state'); ?>
                    <?php echo $this->form->getInput('state'); ?>
                    <ul data-role="listview" data-inset="true" class="expmob_detail">
                        <li data-role="list-divider"><?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPADD_VEHICLEINFO_TEXT'); ?></li>

                        <?php
                        if ($this->expcategoryfields->get('usemakes')):
                            if ($this->expparams->get('c_admanager_req_makes')) {
                                $this->form->setFieldAttribute('make', 'required', 'true');
                                $this->form->setFieldAttribute('make', 'class', "{validate:{required:true,selectone:true}} input-block-level");
                            } else {
                                $this->form->setFieldAttribute('make', 'class', "input-block-level");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('make'); ?></span>
                                <?php echo $this->form->getInput('make'); ?></li>
                        <?php endif; ?>

                        <?php
                        if ($this->expcategoryfields->get('usemodels')):
                            if ($this->expparams->get('c_admanager_req_models')) {
                                if (!$this->expgroupfields->get('g_newmodel'))
                                    $this->form->setFieldAttribute('model', 'required', 'true');
                                $this->form->setFieldAttribute('model', 'class', "{validate:{required:true,selectone:true}} input-block-level");
                            }else {
                                $this->form->setFieldAttribute('model', 'class', "input-block-level");
                            }
                            ;
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('model'); ?></span>
                                <?php echo $this->form->getInput('model'); ?></li>

                            <?php if ($this->expgroupfields->get('g_newmodel')): ?>
                                <li><span class="expmob_li_text"><?php echo $this->form->getLabel('checkmodel'); ?></span>
                                    <?php echo $this->form->getInput('checkmodel'); ?></li>
                                <?php $this->form->setFieldAttribute('expyourmodel', 'class', "required"); ?>
                                <li id="expyourmodel"><span class="expmob_li_text"><?php echo $this->form->getLabel('expyourmodel'); ?></span>
                                    <?php echo $this->form->getInput('expyourmodel'); ?></li>
                            <?php endif; ?>
                        <?php endif; ?>


                        <?php
                        if ($this->expcategoryfields->get('usespecificmodel')):
                            if ($this->expparams->get('c_admanager_req_specificmodel')) {
                                $this->form->setFieldAttribute('specificmodel', 'required', 'true');
                                $this->form->setFieldAttribute('specificmodel', 'class', "required");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('specificmodel'); ?></span>
                                <?php echo $this->form->getInput('specificmodel'); ?>
                                <?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPADD_INSERTSPECMODEL_EXAMPLE_TEXT'); ?>
                            </li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('usebodytype')):
                            if ($this->expparams->get('c_admanager_req_bodytype')) {
                                $this->form->setFieldAttribute('bodytype', 'required', 'true');
                                $this->form->setFieldAttribute('bodytype', 'class', "{validate:{required:true,selectone:true}} input-block-level");
                            } else {
                                $this->form->setFieldAttribute('bodytype', 'class', "input-block-level");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('bodytype'); ?></span>
                                <?php echo $this->form->getInput('bodytype'); ?></li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('usedrive')):
                            if ($this->expparams->get('c_admanager_req_drive')) {
                                $this->form->setFieldAttribute('drive', 'required', 'true');
                                $this->form->setFieldAttribute('drive', 'class', "{validate:{required:true,selectone:true}} input-block-level");
                            } else {
                                $this->form->setFieldAttribute('drive', 'class', "input-block-level");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('drive'); ?></span>
                                <?php echo $this->form->getInput('drive'); ?></li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('usefuel')):
                            if ($this->expparams->get('c_admanager_req_fuel')) {
                                $this->form->setFieldAttribute('fuel', 'required', 'true');
                                $this->form->setFieldAttribute('fuel', 'class', "{validate:{required:true,selectone:true}} input-block-level");
                            } else {
                                $this->form->setFieldAttribute('fuel', 'class', "input-block-level");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('fuel'); ?></span>
                                <?php echo $this->form->getInput('fuel'); ?></li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('usetrans')):
                            if ($this->expparams->get('c_admanager_req_trans')) {
                                $this->form->setFieldAttribute('trans', 'required', 'true');
                                $this->form->setFieldAttribute('trans', 'class', "{validate:{required:true,selectone:true}} input-block-level");
                            } else {
                                $this->form->setFieldAttribute('trans', 'class', "input-block-level");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('trans'); ?></span>
                                <?php echo $this->form->getInput('trans'); ?></li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('usespecifictrans')):
                            if ($this->expparams->get('c_admanager_req_specifictrans')) {
                                $this->form->setFieldAttribute('specifictrans', 'required', 'true');
                                $this->form->setFieldAttribute('specifictrans', 'class', "required");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('specifictrans'); ?></span>
                                <?php echo $this->form->getInput('specifictrans'); ?>
                                <?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPADD_INSERTSPECTRANSMISSION_EXAMPLE_TEXT'); ?>
                            </li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('useextrafield1')):
                            if ($this->expparams->get('c_admanager_req_extrafield1')) {
                                $this->form->setFieldAttribute('extrafield1', 'required', 'true');
                                $this->form->setFieldAttribute('extrafield1', 'class', "{validate:{required:true,selectone:true}} input-block-level");
                            } else {
                                $this->form->setFieldAttribute('extrafield1', 'class', "input-block-level");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('extrafield1'); ?></span>
                                <?php echo $this->form->getInput('extrafield1'); ?></li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('useextrafield2')):
                            if ($this->expparams->get('c_admanager_req_extrafield2')) {
                                $this->form->setFieldAttribute('extrafield2', 'required', 'true');
                                $this->form->setFieldAttribute('extrafield2', 'class', "{validate:{required:true,selectone:true}} input-block-level");
                            } else {
                                $this->form->setFieldAttribute('extrafield2', 'class', "input-block-level");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('extrafield2'); ?></span>
                                <?php echo $this->form->getInput('extrafield2'); ?></li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('useextrafield3')):
                            if ($this->expparams->get('c_admanager_req_extrafield3')) {
                                $this->form->setFieldAttribute('extrafield3', 'required', 'true');
                                $this->form->setFieldAttribute('extrafield3', 'class', "{validate:{required:true,selectone:true}} input-block-level");
                            } else {
                                $this->form->setFieldAttribute('extrafield3', 'class', "input-block-level");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('extrafield3'); ?></span>
                                <?php echo $this->form->getInput('extrafield3'); ?></li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('usecondition')):
                            if ($this->expparams->get('c_admanager_req_condition')) {
                                $this->form->setFieldAttribute('condition', 'required', 'true');
                                $this->form->setFieldAttribute('condition', 'class', "{validate:{required:true,selectone:true}} input-block-level");
                            } else {
                                $this->form->setFieldAttribute('condition', 'class', "input-block-level");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('condition'); ?></span>
                                <?php echo $this->form->getInput('condition'); ?></li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('useextcolor')):
                            if ($this->expparams->get('c_admanager_req_extcolor')) {
                                $this->form->setFieldAttribute('extcolor', 'required', 'true');
                                $this->form->setFieldAttribute('extcolor', 'class', "{validate:{required:true,selectone:true}} input-block-level");
                            } else {
                                $this->form->setFieldAttribute('extcolor', 'class', "input-block-level");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('extcolor'); ?></span>
                                <?php echo $this->form->getInput('extcolor'); ?></li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('usespecificcolor')):
                            if ($this->expparams->get('c_admanager_req_specificcolor')) {
                                $this->form->setFieldAttribute('specificcolor', 'required', 'true');
                                $this->form->setFieldAttribute('specificcolor', 'class', "required");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('specificcolor'); ?></span>
                                <?php echo $this->form->getInput('specificcolor'); ?></li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('usemetalliccolor')):
                            if ($this->expparams->get('c_admanager_req_metalliccolor')) {
                                $this->form->setFieldAttribute('metalliccolor', 'required', 'true');
                                $this->form->setFieldAttribute('metalliccolor', 'class', "required");
                            }
                            ?>
                            <li>
                                <div data-role="fieldcontain">
                                    <fieldset data-role="controlgroup" data-type="horizontal">
                                        <legend><?php echo $this->form->getLabel('metalliccolor'); ?></legend>
                                        <?php echo $this->form->getInput('metalliccolor'); ?>

                                    </fieldset>
                                </div>
                            </li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('useintcolor')):
                            if ($this->expparams->get('c_admanager_req_intcolor')) {
                                $this->form->setFieldAttribute('intcolor', 'required', 'true');
                                $this->form->setFieldAttribute('intcolor', 'class', "{validate:{required:true,selectone:true}} input-block-level");
                            } else {
                                $this->form->setFieldAttribute('intcolor', 'class', "input-block-level");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('intcolor'); ?></span>
                                <?php echo $this->form->getInput('intcolor'); ?></li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('usemonth')):
                            if ($this->expparams->get('c_admanager_req_month')) {
                                $this->form->setFieldAttribute('month', 'required', 'true');
                                $this->form->setFieldAttribute('month', 'class', "{validate:{required:true,selectone:true}} input-block-level");
                            } else {
                                $this->form->setFieldAttribute('month', 'class', "input-block-level");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('month'); ?></span>
                                <?php echo $this->form->getInput('month'); ?></li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('useyear')):
                            if ($this->expparams->get('c_admanager_req_year')) {
                                $this->form->setFieldAttribute('year', 'required', 'true');
                                $this->form->setFieldAttribute('year', 'class', "{validate:{required:true,selectone:true}} input-block-level");
                            } else {
                                $this->form->setFieldAttribute('year', 'class', "input-block-level");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('year'); ?></span>
                                <?php echo $this->form->getInput('year'); ?></li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('usevincode')):
                            if ($this->expparams->get('c_admanager_req_vincode')) {
                                $this->form->setFieldAttribute('vincode', 'required', 'true');
                                $this->form->setFieldAttribute('vincode', 'class', "required");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('vincode'); ?></span>
                                <?php echo $this->form->getInput('vincode'); ?></li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('usemileage')):
                            if ($this->expparams->get('c_admanager_req_mileage')) {
                                $this->form->setFieldAttribute('mileage', 'required', 'true');
                                $this->form->setFieldAttribute('mileage', 'class', "{validate:{required:true,digits:true}}");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('mileage'); ?></span>
                                <?php echo $this->form->getInput('mileage'); ?>
                                <?php echo JText::_('COM_EXPAUTOSPRO_KM_TEXT'); ?>
                            </li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('usedoors')):
                            if ($this->expparams->get('c_admanager_req_doors')) {
                                $this->form->setFieldAttribute('doors', 'required', 'true');
                                $this->form->setFieldAttribute('doors', 'class', "{validate:{required:true,selectone:true}} input-block-level");
                            } else {
                                $this->form->setFieldAttribute('doors', 'class', "input-block-level");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('doors'); ?></span>
                                <?php echo $this->form->getInput('doors'); ?></li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('useseats')):
                            if ($this->expparams->get('c_admanager_req_seats')) {
                                $this->form->setFieldAttribute('seats', 'required', 'true');
                                $this->form->setFieldAttribute('seats', 'class', "{validate:{required:true,selectone:true}} input-block-level");
                            } else {
                                $this->form->setFieldAttribute('seats', 'class', "input-block-level");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('seats'); ?></span>
                                <?php echo $this->form->getInput('seats'); ?></li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('usedisplacement')):
                            if ($this->expparams->get('c_admanager_req_displacement')) {
                                $this->form->setFieldAttribute('displacement', 'required', 'true');
                                $this->form->setFieldAttribute('displacement', 'class', "required input-block-level");
                            } else {
                                $this->form->setFieldAttribute('displacement', 'class', "input-block-level");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('displacement'); ?></span>
                                <?php echo $this->form->getInput('displacement'); ?>
                                &#40;<?php echo JText::_('COM_EXPAUTOSPRO_LITER_S_TEXT'); ?>&#41;
                                <?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPADD_DISPLACEMENT_EXAMPLE_TEXT'); ?>
                            </li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('useengine')):
                            if ($this->expparams->get('c_admanager_req_engine')) {
                                $this->form->setFieldAttribute('engine', 'required', 'true');
                                $this->form->setFieldAttribute('engine', 'class', "required input-block-level");
                            } else {
                                $this->form->setFieldAttribute('engine', 'class', "input-block-level");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('engine'); ?></span>
                                <?php echo $this->form->getInput('engine'); ?>
                                <?php echo JText::_('COM_EXPAUTOSPRO_KW_TEXT'); ?>
                            </li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('useco')):
                            if ($this->expparams->get('c_admanager_req_co')) {
                                $this->form->setFieldAttribute('co', 'required', 'true');
                                $this->form->setFieldAttribute('co', 'class', "required");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('co'); ?></span>
                                <?php echo $this->form->getInput('co'); ?>
                                &#40;<?php echo JText::_('COM_EXPAUTOSPRO_GKM_TEXT'); ?>&#41;
                                <?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPADD_INSERTCO2_EXAMPLE_TEXT'); ?>
                            </li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('usestocknum')):
                            if ($this->expparams->get('c_admanager_req_stocknum')) {
                                $this->form->setFieldAttribute('stocknum', 'required', 'true');
                                $this->form->setFieldAttribute('stocknum', 'class', "required");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('stocknum'); ?></span>
                                <?php echo $this->form->getInput('stocknum'); ?></li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('usefconsum')):
                            if ($this->expparams->get('c_admanager_req_fconsumcity')) {
                                $this->form->setFieldAttribute('fconsumcity', 'required', 'true');
                                $this->form->setFieldAttribute('fconsumcity', 'class', "{validate:{required:true,digits:true}}");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('fconsumcity'); ?></span>
                                <?php echo $this->form->getInput('fconsumcity'); ?>
                                <?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPADD_INSERTFCONSUMCITY_EXAMPLE_TEXT'); ?>
                            </li>
                            <?php
                            if ($this->expparams->get('c_admanager_req_fconsumfreeway'))
                                $this->form->setFieldAttribute('fconsumfreeway', 'required', 'true');
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('fconsumfreeway'); ?></span>
                                <?php echo $this->form->getInput('fconsumfreeway'); ?>
                                <?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPADD_INSERTFCONSUMFREEWAY_EXAMPLE_TEXT'); ?>
                            </li>
                            <?php
                            if ($this->expparams->get('c_admanager_req_fconsumcombined'))
                                $this->form->setFieldAttribute('fconsumcombined', 'required', 'true');
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('fconsumcombined'); ?></span>
                                <?php echo $this->form->getInput('fconsumcombined'); ?>
                                <?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPADD_INSERTFCONSUMCOMBINED_EXAMPLE_TEXT'); ?>
                            </li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('useadacceleration')):
                            if ($this->expparams->get('c_admanager_req_adacceleration')) {
                                $this->form->setFieldAttribute('adacceleration', 'required', 'true');
                                $this->form->setFieldAttribute('adacceleration', 'class', "required");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('adacceleration'); ?></span>
                                <?php echo $this->form->getInput('adacceleration'); ?>
                                <?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPADD_INSERTACCELERATION_EXAMPLE_TEXT'); ?>
                            </li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('usemaxspeed')):
                            if ($this->expparams->get('c_admanager_req_maxspeed')) {
                                $this->form->setFieldAttribute('maxspeed', 'required', 'true');
                                $this->form->setFieldAttribute('maxspeed', 'class', "required");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('maxspeed'); ?></span>
                                <?php echo $this->form->getInput('maxspeed'); ?>
                                <?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPADD_INSERTMAXSPEED_EXAMPLE_TEXT'); ?>
                            </li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('uselength')):
                            if ($this->expparams->get('c_admanager_req_length')) {
                                $this->form->setFieldAttribute('length', 'required', 'true');
                                $this->form->setFieldAttribute('length', 'class', "required");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('length'); ?></span>
                                <?php echo $this->form->getInput('length'); ?>
                                <?php echo JText::_('COM_EXPAUTOSPRO_MILIMETERS_TEXT'); ?>
                            </li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('usewidth')):
                            if ($this->expparams->get('c_admanager_req_width')) {
                                $this->form->setFieldAttribute('width', 'required', 'true');
                                $this->form->setFieldAttribute('width', 'class', "required");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('width'); ?></span>
                                <?php echo $this->form->getInput('width'); ?>
                                <?php echo JText::_('COM_EXPAUTOSPRO_MILIMETERS_TEXT'); ?>
                            </li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('useunweight')):
                            if ($this->expparams->get('c_admanager_req_unweight')) {
                                $this->form->setFieldAttribute('unweight', 'required', 'true');
                                $this->form->setFieldAttribute('unweight', 'class', "required");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('unweight'); ?></span>
                                <?php echo $this->form->getInput('unweight'); ?>
                                <?php echo JText::_('COM_EXPAUTOSPRO_KG_TEXT'); ?>
                            </li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('usegrweight')):
                            if ($this->expparams->get('c_admanager_req_grweight')) {
                                $this->form->setFieldAttribute('grweight', 'required', 'true');
                                $this->form->setFieldAttribute('grweight', 'class', "required");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('grweight'); ?></span>
                                <?php echo $this->form->getInput('grweight'); ?>
                                <?php echo JText::_('COM_EXPAUTOSPRO_KG_TEXT'); ?>
                            </li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('useembedcode')):
                            if ($this->expparams->get('c_admanager_req_embedcode')) {
                                $this->form->setFieldAttribute('embedcode', 'required', 'true');
                                $this->form->setFieldAttribute('embedcode', 'class', "required");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('embedcode'); ?>
                                    <?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPADD_INSERTEMBEDCODE_EXAMPLE_TEXT'); ?></span>
                                <?php echo $this->form->getInput('embedcode'); ?></li>
                        <?php endif; ?>
                        <li><span class="expmob_li_text">
                                <?php
                                $other_inf = $this->expparams->get('c_admanager_add_maxotherinfo');
                                $this->form->setFieldAttribute('otherinfo', 'type', "textarea");
                                $this->form->setFieldAttribute('otherinfo', 'class', "{validate:{maxlength:$other_inf}}");
                                echo $this->form->getLabel('otherinfo');
                                ?>
                                <?php echo JText::_(JText::sprintf('COM_EXPAUTOSPRO_CP_EXPADD_INSERTOTHERINFO_EXAMPLE_TEXT', $this->expparams->get('c_admanager_add_maxotherinfo'))); ?></span>
                            <?php echo $this->form->getInput('otherinfo'); ?></li>
                        <?php
                        if ($this->expcategoryfields->get('useprice')):
                            if ($this->expparams->get('c_admanager_req_price')) {
                                $this->form->setFieldAttribute('price', 'required', 'true');
                                $this->form->setFieldAttribute('price', 'class', "{validate:{required:true,digits:true}}");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('price'); ?></span>
                                <?php echo $this->form->getInput('price'); ?>
                                <?php echo $pricename; ?>
                            </li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('usebprice')):
                            if ($this->expparams->get('c_admanager_req_bprice')) {
                                $this->form->setFieldAttribute('bprice', 'required', 'true');
                                $this->form->setFieldAttribute('bprice', 'class', "{validate:{required:true,digits:true}}");
                            } else {
                                $this->form->setFieldAttribute('bprice', 'class', "{validate:{digits:true}}");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('bprice'); ?></span>
                                <?php echo $this->form->getInput('bprice'); ?>
                                <?php echo $pricename; ?>
                            </li>
                        <?php endif; ?>
                        <?php
                        if ($this->expcategoryfields->get('useexpprice')):
                            if ($this->expparams->get('c_admanager_req_expprice')) {
                                $this->form->setFieldAttribute('expprice', 'required', 'true');
                                $this->form->setFieldAttribute('expprice', 'class', "{validate:{required:true,digits:true}}");
                            } else {
                                $this->form->setFieldAttribute('expprice', 'class', "{validate:{digits:true}}");
                            }
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('expprice'); ?></span>
                                <?php echo $this->form->getInput('expprice'); ?>
                                <?php echo $pricename; ?>
                            </li>
                        <?php endif; ?>


                        <?php
                        if ($this->expcategoryfields->get('usepricetime')):
                            $this->form->setFieldAttribute('exptime', 'class', " input-block-level");
                            ?>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('exptime'); ?></span>
                                <?php echo $this->form->getInput('exptime'); ?></li>
                        <?php endif; ?>

                        <?php
                        if ($this->expcategoryfields->get('usevattext')):
                            if ($this->expparams->get('c_admanager_req_vattext')) {
                                $this->form->setFieldAttribute('vattext', 'required', 'true');
                                $this->form->setFieldAttribute('vattext', 'class', "required");
                            }
                            ?>
                            <li>
                                <div data-role="fieldcontain">
                                    <fieldset data-role="controlgroup" data-type="horizontal">
                                        <legend><?php echo $this->form->getLabel('vattext'); ?></legend>
                                        <?php echo $this->form->getInput('vattext'); ?>

                                    </fieldset>
                                </div> 
                            </li>
                        <?php endif; ?>
                        <?php if ($this->expparams->get('c_general_enableauction', 0)): ?>
                            <li>
                                <div data-role="fieldcontain">
                                    <fieldset data-role="controlgroup" data-type="horizontal">
                                        <legend><?php echo $this->form->getLabel('fauction'); ?></legend>
                                        <?php echo $this->form->getInput('fauction'); ?>

                                    </fieldset>
                                </div> 
                            </li>
                        <?php endif; ?>
                    </ul>

                    <?php if ($this->expgroupfields->get('g_enablefile')): ?>
                        <ul data-role="listview" data-inset="true" class="expmob_detail">
                            <li data-role="list-divider"><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_ATTACHED_FILE_TEXT'); ?></li>
                            <li><span class="expmob_li_text"><?php echo $this->form->getLabel('expfile'); ?></span></li>
                            <?php echo $this->form->getInput('expfile'); ?>
                            <li>
                                <?php echo JText::sprintf(JText::_("COM_EXPAUTOSPRO_CP_ADMANAGER_ALLOWEDTYPES_TEXT"), $this->expgroupfields->get('g_file_ext')); ?><br />
                                <?php echo JText::sprintf(JText::_("COM_EXPAUTOSPRO_CP_ADMANAGER_MAXFILESIZE_TEXT"), ExpAutosProFields::exp_convertsize($this->expgroupfields->get('g_filemax_size'))); ?><br />
                            </li>
                        </ul>
                    <?php endif; ?>

                    <?php if ($this->expcategoryfields->get('usecountry') || $this->expcategoryfields->get('usegooglemaps')): ?>
                        <ul data-role="listview" data-inset="true" class="expmob_detail">
                            <li data-role="list-divider"><?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPADD_VEHICLELOCATION_TEXT'); ?></li>
                            <?php
                            if ($this->expcategoryfields->get('usecountry')):
                                if ($this->expparams->get('c_admanager_req_country')) {
                                    $this->form->setFieldAttribute('country', 'required', 'true');
                                    $this->form->setFieldAttribute('country', 'class', "{validate:{required:true,selectone:true}} input-block-level");
                                } else {
                                    $this->form->setFieldAttribute('country', 'class', "input-block-level");
                                }
                                ?>
                                <li><span class="expmob_li_text"><?php echo $this->form->getLabel('country'); ?></span>
                                    <?php echo $this->form->getInput('country'); ?></li>
                                <?php
                                if ($this->expcategoryfields->get('usestate')):
                                    if ($this->expparams->get('c_admanager_req_state')) {
                                        $this->form->setFieldAttribute('expstate', 'required', 'true');
                                        $this->form->setFieldAttribute('expstate', 'class', "{validate:{required:true,selectone:true}} input-block-level");
                                    } else {
                                        $this->form->setFieldAttribute('expstate', 'class', "input-block-level");
                                    }
                                    ?>
                                    <li><span class="expmob_li_text"><?php echo $this->form->getLabel('expstate'); ?></span>
                                        <?php echo $this->form->getInput('expstate'); ?></li>
                                    <?php
                                    if ($this->expcategoryfields->get('usecity')):
                                        if ($this->expparams->get('c_admanager_req_city')) {
                                            $this->form->setFieldAttribute('city', 'required', 'true');
                                            $this->form->setFieldAttribute('city', 'class', "{validate:{required:true,selectone:true}} input-block-level");
                                        } else {
                                            $this->form->setFieldAttribute('city', 'class', "input-block-level");
                                        }
                                        ?>
                                        <li><span class="expmob_li_text"><?php echo $this->form->getLabel('city'); ?></span>
                                            <?php echo $this->form->getInput('city'); ?></li>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <?php endif; ?>
                            <?php
                            if ($this->expcategoryfields->get('usestreet')):
                                if ($this->expparams->get('c_admanager_req_street')) {
                                    $this->form->setFieldAttribute('street', 'required', 'true');
                                    $this->form->setFieldAttribute('street', 'class', "required");
                                }
                                if ($this->expcategoryfields->get('usegooglemaps'))
                                    $this->form->setFieldAttribute('street', 'onchange', 'codeStreet(this.value);return false;');
                                ?>
                                <li><span class="expmob_li_text"><?php echo $this->form->getLabel('street'); ?></span>
                                    <?php echo $this->form->getInput('street'); ?></li>
                            <?php endif; ?>
                            <?php
                            if ($this->expcategoryfields->get('usezipcode')):
                                if ($this->expparams->get('c_admanager_req_zipcode')) {
                                    $this->form->setFieldAttribute('zipcode', 'required', 'true');
                                    $this->form->setFieldAttribute('zipcode', 'class', "required");
                                }
                                ?>
                                <li><span class="expmob_li_text"><?php echo $this->form->getLabel('zipcode'); ?></span>
                                    <?php echo $this->form->getInput('zipcode'); ?></li>
                            <?php endif; ?>
                            <?php
                            if ($this->expcategoryfields->get('usegooglemaps')):
                                if ($this->expparams->get('c_admanager_add_latlong')) {
                                    $this->form->setFieldAttribute('latitude', 'required', 'true');
                                    $this->form->setFieldAttribute('longitude', 'required', 'true');
                                    $this->form->setFieldAttribute('latitude', 'class', "required");
                                    $this->form->setFieldAttribute('longitude', 'class', "required");
                                }
                                $this->form->setFieldAttribute('latitude', 'onchange', 'findLangLong();return false;');
                                $this->form->setFieldAttribute('longitude', 'onchange', 'findLangLong();return false;');
                                ?>
                                <li><span class="expmob_li_text"><?php echo $this->form->getLabel('latitude'); ?></span>
                                    <?php echo $this->form->getInput('latitude'); ?></li>


                                <li><span class="expmob_li_text"><?php echo $this->form->getLabel('longitude'); ?></span>
                                    <?php echo $this->form->getInput('longitude'); ?></li>
                            <?php endif; ?>
                            <div class="expautospro_clear"></div>
                            <?php if ($this->expcategoryfields->get('usegooglemaps')): ?>
                                <li>
                                    <div id="exp_mapadd_canvas" style="height: <?php echo $expgoogleheight; ?>px;"></div>
                                </li>
                            <?php endif; ?>
                        </ul>
                    <?php endif; ?>
                    <?php if ($this->expcategoryfields->get('useequipment')): ?>
                        <ul data-role="listview" data-inset="true" class="expmob_detail">
                            <li data-role="list-divider"><?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPADD_EQUIPMENT_TEXT'); ?></li>
                            <li><?php echo $this->form->getInput('equipment'); ?></li>
                        </ul>
                    <?php endif; ?>
                    <?php
                    if ($this->expparams->get('c_admanager_useparams')):
                        $fieldSets = $this->form->getFieldsets('params');
                        foreach ($fieldSets as $name => $fieldSet) :
                            ?>

                            <ul data-role="listview" data-inset="true" class="expmob_detail">
                                <li data-role="list-divider"><?php echo JText::_($fieldSet->label); ?></li>
                                <?php foreach ($this->form->getFieldset($name) as $field) : ?>
                                    <li><span class="expmob_li_text"><?php echo $field->label; ?></span>
                                        <?php echo $field->input; ?></li>
                                <?php endforeach; ?>
                            </ul>
                        <?php endforeach; ?>
                    <?php endif; ?>
                    <div>
                        <button class="expadd_button btn btn-large btn-primary" type="submit" data-icon="arrow-r" data-theme="e" data-iconpos="right"><?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPADD_SAVEANDNEXT_TEXT'); ?></button>

                        <input type="hidden" name="option" value="com_expautospro" />
                        <input type="hidden" name="task" value="expadd.save" />
                        <?php if (!$this->data->id): ?>
                            <input type="hidden" name="expisnew" value="1" />
                        <?php endif; ?>
                        <input type="hidden" name="Itemid" value="<?php echo $expitem; ?>" />
                        <?php echo JHtml::_('form.token'); ?>
                    </div>
                <?php endif; ?>
            </form>
        <?php else: ?>
            <?php if (!$user->id): ?>
                <?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_MOBJQUERY_ONLYREGISTERED_TEXT'); ?>
            <?php elseif (!$this->expgroupid): ?>
                <?php echo JText::_(JText::sprintf('COM_EXPAUTOSPRO_CP_EXPUSER_DEALERINFO_PERMISSION_DENIED_TEXT', JRoute::_('index.php?option=com_expautospro&view=exppaylevel'))); ?>
            <?php elseif ($this->expgroupfields->get('g_adscount') > $ads_count || (int) $this->data->id == 0): ?>
                <?php echo JText::_(JText::sprintf('COM_EXPAUTOSPRO_CP_EXPADD_INFO_LIMITADS_TEXT', $this->expgroupfields->get('g_adscount'), JRoute::_('index.php?option=com_expautospro&view=exppaylevel'))); ?>
            <?php elseif ((int) $this->data->user != (int) $user->id): ?>
                <?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPADD_NOTUSERAD_ERROR_TEXT'); ?>
            <?php endif; ?>
        <?php endif; ?>
    </div>
    <div data-theme="a" data-role="footer" data-position="fixed">
        <?php if ($document->countModules('expmobilesearch') || $document->countModules('expmobilelogin')): ?>
            <div data-role="navbar" data-iconpos="bottom">
                <ul>
                    <?php if ($document->countModules('expmobilesearch')): ?>
                        <li><a href="#expsearchpopup" data-icon="search" data-role="button" data-rel="dialog" data-transition="pop"><?php echo JText::_('COM_EXPAUTOSPRO_MOBILE_SEARCH_MENU_TEXT'); ?></a></li>
                    <?php endif; ?>
                    <?php if ($document->countModules('expmobilelogin')): ?>
                        <li><a href="#exploginpopup" data-icon="<?php echo $logicon; ?>" data-role="button" data-rel="dialog" data-transition="pop"<?php echo $logtheme; ?>><?php echo $login_text; ?></a></li>
                    <?php endif; ?>
                </ul>
            </div>
        <?php else:?>
        <?php endif; ?>
    </div>
</div>
<?php if ($document->countModules('expmobilesearch')): ?>
    <!-- Start of third page: #expsearchpopup -->
    <div data-role="page" id="expsearchpopup">
        <div data-role="header" data-theme="b">
            <h1><?php echo JText::_('COM_EXPAUTOSPRO_MOBILE_SEARCH_DIALOG_MENU_TEXT'); ?></h1>
        </div><!-- /header -->
        <div data-role="content" data-theme="d">	
            <div class="expautospro_topmodule_pos_mobile">
                <?php echo ExpAutosProHelper::load_module_position('expmobilesearch', ''); ?>
            </div>
            <a href="javascript:void(0);" data-role="button" data-theme="e" data-icon="delete" data-rel="back" data-mini="true" data-iconpos="right">
                <?php echo JText::_('COM_EXPAUTOSPRO_CLOSE_TEXT'); ?>
            </a>
        </div><!-- /content -->
        <div data-role="footer">
            <h4></h4>
        </div><!-- /footer -->
    </div><!-- /page expsearchpopup -->
<?php endif; ?>
<?php if ($document->countModules('expmobilelogin')): ?>
    <!-- Start of third page: #exploginpopup -->
    <div data-role="page" id="exploginpopup">
        <div data-role="header" data-theme="b">
            <h1><?php echo $login_text; ?></h1>
        </div><!-- /header -->
        <div data-role="content" data-theme="d">	
            <div class="expautospro_topmodule_pos_mobile">
                <?php echo ExpAutosProHelper::load_module_position('expmobilelogin', ''); ?>
            </div>
            <a href="javascript:void(0);" data-role="button" data-theme="e" data-icon="delete" data-rel="back" data-mini="true" data-iconpos="right">
                <?php echo JText::_('COM_EXPAUTOSPRO_CLOSE_TEXT'); ?>
            </a>	
        </div><!-- /content -->
        <div data-role="footer">
            <h4></h4>
        </div><!-- /footer -->
    </div><!-- /page expsearchpopup -->
<?php endif; ?>
<script>
    jQuery.validator.addMethod("selectone", function(value, element) {
        return this.optional(element) || value != 0; 
    }, jQuery.format("<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_JQUERY_SELECT_OPTION'); ?>"));
    jQuery.extend(jQuery.validator.messages, {
        required: "<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_JQUERY_REQUIRED'); ?>",
        remote: "<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_MOBJQUERY_REMOTE_ONLY'); ?>",
        email: "<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_JQUERY_INVALID_EMAIL'); ?>",
        url: "<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_JQUERY_INVALID_URL'); ?>",
        date: "<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_JQUERY_INVALID_DATE'); ?>",
        dateISO: "<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_JQUERY_INVALID_DATE'); ?> (ISO)",
        number: "<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_JQUERY_NUMBERS_ONLY'); ?>",
        digits: "<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_JQUERY_NOTVALID_INTEGREL'); ?>",
        creditcard: "<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_MOBJQUERY_CCARD_ONLY'); ?>",
        equalTo: "<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_MOBJQUERY_EQUALTO_ONLY'); ?>",
        accept: "<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_MOBJQUERY_ACCEPT_ONLY'); ?>",
        maxlength: jQuery.validator.format("<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_MOBJQUERY_MAXLENGHT_ONLY'); ?>"),
        minlength: jQuery.validator.format("<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_MOBJQUERY_MINLENGHT_ONLY'); ?>"),
        rangelength: jQuery.validator.format("<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_MOBJQUERY_RANGELENGHT_ONLY'); ?>"),
        range: jQuery.validator.format("<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_MOBJQUERY_RANGE_ONLY'); ?>"),
        max: jQuery.validator.format("<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_MOBJQUERY_MAX_ONLY'); ?>"),
        min: jQuery.validator.format("<?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPUSER_SKIN_MOBJQUERY_MIN_ONLY'); ?>")
    });
    (function($) {
        $('form#expmember-profile').validate({
            meta: "validate"
        });
    })(jQuery);
</script>