<?php

/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');
require_once JPATH_COMPONENT . '/helpers/helper.php';

class ExpautosproViewExpsearch extends JViewLegacy {

    protected $state;
    protected $form;
    protected $item;

    function display($tpl = null) {
        //$expcatId = JRequest::getInt('catid');
        $state = $this->get('State');
        $expparams = $this->get('Expparams');
        $expitemid = $this->get('ExpItemid');
        $expskins = 'expsearch';

        $this->assignRef('state', $state);
        $this->assignRef('expparams', $expparams);
        $this->assignRef('expitemid', $expitemid);
        $this->assignRef('expskins', $expskins);

        $this->_prepareDocument();

        parent::display($tpl);
    }

    protected function _prepareDocument() {

        $app = JFactory::getApplication();
        $menus = $app->getMenu();
        $pathway = $app->getPathway();
        $title = null;
        $menu = $menus->getActive();
        $pathway->addItem(JText::_('COM_EXPAUTOSPRO_CP_SEARCH_PATHWAY_TEXT'));

        $this->document->setTitle(JText::_('COM_EXPAUTOSPRO_TEXT') . JText::_('COM_EXPAUTOSPRO_CP_SEARCH_TITLE_TEXT'));
    }

}

?>
