<?php

/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */


defined('JPATH_BASE') or die;

jimport('joomla.html.html');
jimport('joomla.form.formfield');
jimport('joomla.form.helper');
JFormHelper::loadFieldClass('list');

class JFormFieldExpmenumake extends JFormFieldList {

    /**
     * The form field type.
     *
     * @var		string
     * @since	1.6
     */
    protected $type = 'Expmenumake';

    /**
     * Method to get the field options.
     *
     * @return	array	The field option objects.
     * @since	1.6
     */
    public function getOptions($data = 0) {
        // Initialize variables.
        $options = array();
        $usemodel = (string) $this->element['expmodel'];
        $expcatid = '';
        if(is_object($this->form->getValue('request')))
            $expcatid = (int)$this->form->getValue('request')->catid;
        $document = JFactory::getDocument();
        
        $linkmakeurl = "index.php?option=com_expautospro&view=expadmanagers&format=ajax&expcatid_id=";
        $linkbtypeurl = "index.php?option=com_expautospro&view=expadmanagers&format=ajax&btype=1&expcatid_id=";
        $linkmodelurl = "index.php?option=com_expautospro&view=expadmanagers&format=ajax&expmake_id=";
            
        $script = '';
        $script .= "
            function expmenucat(val){
                expchangejq(val,'".$linkmakeurl."','jform_request_makeid','1111');
                expchangejq(val,'".$linkbtypeurl."','jform_request_bodytype','1111');
            }";
            $script .= "function expmenumake(val){";
            if ($usemodel) {
                $script .= "expchangejq(val,'".$linkmodelurl."','jformrequestmodelid','1111');";
            }
           $script .= "}";

        $document->addScriptDeclaration($script);
        if ($this->value || $expcatid) {
            $db = JFactory::getDbo();
            $query = $db->getQuery(true);
            $query->select('id As value, name As text');
            $query->from('#__expautos_make');
            $query->where('catid = '.$expcatid);
            $query->where('state > 0');
            $query->order('ordering');

            // Get the options.
            $db->setQuery($query);

            $options = $db->loadObjectList();

            // Check for a database error.
            if ($db->getErrorNum()) {
                JError::raiseWarning(500, $db->getErrorMsg());
            }
        }
        if (!$data) {
            array_unshift($options, JHtml::_('select.option', '0', JText::_('JSELECT')));
        }

        return $options;
    }

}
?>
<script type="text/javascript" src="components/com_expautospro/assets/js/jqexpsearch.js"></script>