<?php
/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

// No direct access.
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('formbehavior.chosen', 'select');
//JHtml::script('administrator/components/com_expautospro/assets/js/jquery.validationEngine.js');
//JHtml::script('administrator/components/com_expautospro/assets/js/jquery.validationEngine-en.js');
//JHtml::stylesheet('administrator/components/com_expautospro/assets/validationEngine.jquery.css');
?>
<script type="text/javascript" src="components/com_expautospro/assets/js/jquery.validate.min.js"></script>
<script type="text/javascript">
    Joomla.submitbutton = function(task){
        if(jQuery('#expautosprocat-form').validate().form() == true || task == 'expcit.cancel'){
            Joomla.submitform(task, document.getElementById('expautosprocat-form'));
        }else{
            return false;
        }
    }
</script>
<div class="well well-small">
    <form action="<?php echo JRoute::_('index.php?option=com_expautospro&layout=edit&id=' . (int) $this->item->id); ?>" method="post" name="adminForm" id="expautosprocat-form" class="form-validate form-horizontal">
        <div class="row-fluid">  
            <div class="span8">
                <fieldset class="adminform">
                    <legend><?php echo empty($this->item->id) ? JText::_('COM_EXPAUTOSPRO_CIT_NEW_TITLE') : JText::sprintf('COM_EXPAUTOSPRO_CIT_EDIT_TITLE', $this->item->id); ?></legend>
                    <div class="control-group">
                        <label class="control-label" for="catid"><?php echo $this->form->getLabel('catid'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('catid'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="city_name"><?php echo $this->form->getLabel('city_name'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('city_name'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="city_zip"><?php echo $this->form->getLabel('city_zip'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('city_zip'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="city_state"><?php echo $this->form->getLabel('city_state'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('city_state'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="city_latitude"><?php echo $this->form->getLabel('city_latitude'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('city_latitude'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="city_longitude"><?php echo $this->form->getLabel('city_longitude'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('city_longitude'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="city_county"><?php echo $this->form->getLabel('city_county'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('city_county'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="state"><?php echo $this->form->getLabel('state'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('state'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="ordering"><?php echo $this->form->getLabel('ordering'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('ordering'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="language"><?php echo $this->form->getLabel('language'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('language'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="id"><?php echo $this->form->getLabel('id'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('id'); ?></div>
                    </div>
                </fieldset>
            </div>
            <div class="span4">
            </div>
        </div>
        <input type="hidden" name="task" value="" />
        <?php echo JHtml::_('form.token'); ?>
    </form>
</div>
