<?php 
//  @copyright	Copyright (C) 2008 - 2011 IceTheme. All Rights Reserved
//  @license	Copyrighted Commercial Software 
//  @author     IceTheme (icetheme.com)

// No direct access.
defined('_JEXEC') or die;

// A code to show the offline.php page for the demo
if(JRequest::getCmd("tmpl","index")== "offline"){	
	if(is_file(dirname(__FILE__).DS."offline.php")){
		require_once(dirname(__FILE__).DS."offline.php");
	}else{
		if(is_file(JPATH_SITE.DS."templates".DS."system".DS."offline.php")){
			require_once(JPATH_SITE.DS."templates".DS."system".DS."offline.php");
		}
	}
}else{

// Include PHP files to the template
include_once(JPATH_ROOT . "/templates/" . $this->template . '/icetools/default.php');
include_once(JPATH_ROOT . "/templates/" . $this->template . '/icetools/switcher.php');

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >
	
<head>

<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE9" />

<jdoc:include type="head" />

<?php
// Include CSS and JS variables 
include_once(JPATH_ROOT . "/templates/" . $this->template . '/css_vars.php');
?>

</head>

<body class="<?php echo $pageclass->get('pageclass_sfx'); ?>">

    <!-- Accessibility -->
    <ol id="accessibility">
        <li><a href="#nav-wrapper"><?php echo JText::_("SKIP_MENU");?></a></li>
        <li><a href="#content"><?php echo JText::_("SKIP_CONTENT");?></a></li>
        <li><a href="#footer" ><?php echo JText::_("SKIP_FOOTER");?></a></li>
    </ol><!-- Accessibility -->



<div class="wrapper">

	<?php if ($this->countModules('banner1 + banner2')) { ?>
	<div id="banner">
		<?php if ($this->countModules('banner1')) { ?>
		<div id="banner1">
			<jdoc:include type="modules" name="banner1" />
		</div>
		<?php } ?>  
		
		<?php if ($this->countModules('banner2')) { ?>
        <div id="banner2">
            <jdoc:include type="modules" name="banner2" />
        </div>
		<?php } ?> 	
	</div>	
    <?php } ?> 
    
    
    <?php if ($this->countModules('date + language + topmenu')) { ?>
    <!-- Top Bar -->	
    <div id="topbar" class="clearfix">
    
		<?php if ($this->countModules('date')) { ?>
        <div id="date">
        	<jdoc:include type="modules" name="date" />
        </div>
        <?php } ?>
        
        <?php if ($this->countModules('language')) { ?>
        <div id="language">
       		<jdoc:include type="modules" name="language" />
        </div>
        <?php } ?>
        
        
        <?php if ($this->countModules('topmenu')) { ?>
        <div id="topmenu">
        	<jdoc:include type="modules" name="topmenu" />
        </div>
        <?php } ?>
             
	</div>    
 	 <?php } ?>   
    
     
    <?php if ($this->countModules('mainmenu')) { ?>
    <div id="mainmenu">
        <jdoc:include type="modules" name="mainmenu" />
    </div>
    <?php } ?> 
     
   
    <!-- Header -->	
    <div id="header" class="clearfix">
    		
			<div id="logo">
            <p><a href="<?php echo $this->baseurl ?>"><img src="<?php echo $this->baseurl ?>/images/sampledata/icetheme/logos/logo_<?php echo $TemplateStyle; ?>.png" alt="<?php echo $sitename;?>"   /></a></p>
            </div>
				
		    
        <?php if ($this->countModules('search')) { ?>
        <div id="search">
            <jdoc:include type="modules" name="search" />
        </div>
        <?php } ?> 
        
        <?php if ($this->countModules('social')) { ?>
        <div id="social">
            <jdoc:include type="modules" name="social" />
        </div>
        <?php } ?> 
        
    					      
	
    </div>
    
    
    <?php if ($this->countModules('iceslideshow')) { ?>
    <div id="iceslideshow">
        <jdoc:include type="modules" name="iceslideshow" />
    </div>
    <?php } ?> 
	

	<!-- Content -->
	<div id="content">
    
    	
        <?php if ($this->countModules('login')) { ?>
        <div id="login" class="clearfix">
            <jdoc:include type="modules" name="login" />
        </div>
        <?php } ?>  
    
	
		<?php if ($this->countModules('promo1 + promo2 + promo3 + promo4')) { ?>
        <!-- Promo -->
        <div id="promo">
        
            <div class="modules-wrap clearfix">
            
                <?php if ($this->countModules('promo1')) { ?>
                <div class="<?php echo $promomodulewidth; ?> <?php echo $promomodsep1; ?> floatleft">
                <jdoc:include type="modules" name="promo1" style="block"  />
                </div>
                <?php } ?>
                <?php if ($this->countModules('promo2')) { ?>
                <div class="<?php echo $promomodulewidth; ?> <?php echo $promomodsep2; ?> floatleft">
                <jdoc:include type="modules" name="promo2" style="block"  />
                </div>
                <?php } ?>
                <?php if ($this->countModules('promo3')) { ?>
                <div class="<?php echo $promomodulewidth; ?> <?php echo $promomodsep3; ?> floatleft">
                <jdoc:include type="modules" name="promo3" style="block"  />
                </div>
                <?php } ?>
                <?php if ($this->countModules('promo4')) { ?>
                <div class="<?php echo $promomodulewidth; ?> floatleft">
                <jdoc:include type="modules" name="promo4" style="block"  />
                </div>
                <?php } ?>
                
           </div>  
                                    
        </div><!-- Promo -->  
        <?php } ?>         
					
    
        <!-- Columns Container -->    
        <div id="columns-container">
            
            <div id="outer-column-container">
                
                <div id="inner-column-container" class="clearfix">
            
                    <div id="source-order-container">
                                        
                        <!-- Middle Column -->   
                        <div id="middle-column">
                                                            
                            <div class="inside"> 
                
                              <jdoc:include type="message" />
                              
                              <?php if ($this->countModules('icenewsblock')) { ?>
                                <div id="icenewsblock">
                                    <jdoc:include type="modules" name="icenewsblock" />
                                </div>
                                <?php } ?> 
        
    
                              <jdoc:include type="component" />
                        
                             </div>	
                 
                            </div><!-- Middle Column -->         
                     
                                   
                            <?php if ($this->countModules('left')) { ?>
                            <!-- Left Column -->
                            <div id="left-column">
                                         
                                <div class="inside">
                                                        
                                      <jdoc:include type="modules" name="left" style="colmodule"  />
                                                                                                  
                                </div>    
                                             
                            </div> <!-- Left Column -->
                    
                            <div class="clear-columns"></div>
                            <?php } ?>
                                
                
                        </div><!-- Source Order Container --> 
                                     
                                                                 
                        <?php if ($this->countModules('right')) { ?>
                        <!-- Right Column -->
                        <div id="right-column">
                                            
                            <div class="inside">
                
                                   <jdoc:include type="modules" name="right" style="colmodule"  />
                                          
                             </div>
                             
                         </div><!-- Right Column -->
                         
                         <div class="clear-columns"></div>
                        <?php } ?>
        
                                                                    
                </div>
        
            </div>
                                
        </div><!-- Columns Container --> 
       	
        <?php if ($this->countModules('icecarousel')) { ?>
        <div id="icecarousel">
            <jdoc:include type="modules" name="icecarousel" style="icemodule" />
        </div>
        <?php } ?>
                
                 
           
		<?php if ($this->countModules('bottom1 + bottom2 + bottom3 + bottom4')) { ?>
        <!-- Bottom -->
        <div id="bottom">
        
            <div class="modules-wrap clearfix">
            
                <?php if ($this->countModules('bottom1')) { ?>
                <div class="<?php echo $botmodwidth; ?> <?php echo $botmodsep1; ?> floatleft">
                    <jdoc:include type="modules" name="bottom1" style="block"  />
                </div>
                <?php } ?>
                <?php if ($this->countModules('bottom2')) { ?>
                <div class="<?php echo $botmodwidth; ?> <?php echo $botmodsep2; ?> floatleft">
                    <jdoc:include type="modules" name="bottom2" style="block"  />
                </div>
                <?php } ?>
                <?php if ($this->countModules('bottom3')) { ?>
                <div class="<?php echo $botmodwidth; ?> <?php echo $botmodsep3; ?> floatleft">
                    <jdoc:include type="modules" name="bottom3" style="block"  />
                </div>
                <?php } ?>
                <?php if ($this->countModules('bottom4')) { ?>
                <div class="<?php echo $botmodwidth; ?> floatleft">
                    <jdoc:include type="modules" name="bottom4" style="block"  />
                </div>
                <?php } ?>
                
           </div>  
                                    
        </div><!-- Bottom -->  
        <?php } ?>  
            
        
    </div>
    <!-- Content -->	
	
    
    
   
   <?php if ($this->countModules('footer1 + footer2 + footer3 + footer4 + breadcrumbs + icescroller')) { ?>    
   <!-- Footer -->
    <div id="footer">
    	
	 	<?php if ($this->countModules('breadcrumbs')) { ?>  
        <div id="breadcrumbs">    
            <jdoc:include type="modules" name="breadcrumbs" />
        </div>
        <?php } ?> 
		
		<?php if ($this->countModules('icescroller')) { ?>
        <div id="icescroller">
            <jdoc:include type="modules" name="icescroller" />
        </div>
        <?php } ?>
                
    
		<?php if ($this->countModules('footer1 + footer2 + footer3 + footer4')) { ?>    
        <div class="modules-wrap clearfix">           

            <?php if ($this->countModules('footer1')) { ?>
            <div class="<?php echo $footermodulewidth; ?> <?php echo $footermodsep1; ?> floatleft">
                <jdoc:include type="modules" name="footer1" style="block"  />
            </div>
            <?php } ?>
            <?php if ($this->countModules('footer2')) { ?>
            <div class="<?php echo $footermodulewidth; ?> <?php echo $footermodsep2; ?> floatleft">
                <jdoc:include type="modules" name="footer2" style="block"  />
            </div>
            <?php } ?>
            <?php if ($this->countModules('footer3')) { ?>
            <div class="<?php echo $footermodulewidth; ?> <?php echo $footermodsep3; ?> floatleft">
                <jdoc:include type="modules" name="footer3" style="block"  />
            </div>
            <?php } ?>	
             <?php if ($this->countModules('footer4')) { ?>
            <div class="<?php echo $footermodulewidth; ?>  <?php echo $footermodsep4; ?> floatleft">
                <jdoc:include type="modules" name="footer4" style="block"  />
            </div>
            <?php } ?>
            <?php if ($this->countModules('footer5')) { ?>
            <div class="<?php echo $footermodulewidth; ?>  floatleft">
                <jdoc:include type="modules" name="footer5" style="block"  />
            </div>
            <?php } ?>								
        
        </div>
        <?php } ?>  
        
                    
    </div> <!-- Footer --> 
    <?php } ?>
    
    
    	<?php if ($this->countModules('footer + copyright') or  $this->params->get('icelogo') or $this->params->get('go2top')) { ?>
        <div id="copyright" class="clearfix">
    
            <?php if ($this->countModules('footer')) { ?>
            <div id="copytext">
                <jdoc:include type="modules" name="footer" />
            </div>
            <?php } ?>
            
            <?php if ($this->countModules('copyright')) { ?>
            <div id="copyrightmenu">
                <jdoc:include type="modules" name="copyright" />
            </div>
            <?php } ?> 
        
            <?php if($this->params->get('icelogo')) { ?>
            <div id="icelogo">
                <p><a href="http://www.icetheme.com" title="We would like to inform that this website is designed by IceTheme.com with the latest standards provied by the World Wide Web Consortium (W3C) "><span><?php echo JText::_("ICETHEMECOPY");?></span></a></p>
            </div>
            <?php } ?>
            
            
            <?php if($this->params->get('go2top')) { ?>
            <script type="text/javascript">
                window.addEvent('domready',function() { new SmoothScroll({ duration: 500 }); })
            </script>
                <a id="go2top" title="<?php echo JText::_("GOTOP");?>" href="#topbar"><span><?php echo JText::_("GOTOP");?></span></a>
            <?php } ?>
        
        
        </div>  
        <?php } ?>
        		

 </div>  
    

                
<!-- javascript code to make J! tooltips -->
<script type="text/javascript">
 	window.addEvent('domready', function() {
			$$('.hasTip').each(function(el) {
				var title = el.get('title');
				if (title) {
					var parts = title.split('::', 2);
					el.store('tip:title', parts[0]);
					el.store('tip:text', parts[1]);
				}
			});
		var JTooltips = new Tips($$('.hasTip'), { fixed: false});
	});
 </script>
 
 
<jdoc:include type="modules" name="debug" />


</body>
</html>

<?php } ?>